<h1>Search Result</h1>
<% if @search_result.blank? %>
    <div class="uc-no-result-found">
      <p><%= "NO SEARCH RESULT AVAILABLE" %></p>
    </div>
  <% else %>
<table class="table table-bordered">
  <thead>
    <tr>
      <th>Title</th>
      <th>Author</th>
      <th>Email</th>
      <th>Year</th>
      <th>ISBN</th>
      <th>Categories</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @search_result.each do |search_record| %>
      <tr>
        <td><%= search_record["title"] %></td>
        <td><%= search_record["author"] %></td>
        <td><%= search_record["email"] %></td>
        <td><%= search_record["year_published"] %></td>
        <td><%= search_record["isbn"] %></td>
        <td>
        <ul>
          <% search_record["categories"].each do |category| %>
            <li><%= category %></li>
          <% end %>
          </ul>
        </td>
      </tr>
    <% end %>
    <%= paginate @search_result %>
  </tbody>
</table>

<br>
<% end %>
<%= link_to 'Back', books_path, class: 'btn btn-primary' if params[:query].present? %>